(define-module (ordo cli)
  #:use-module (ice-9 match)
  #:use-module (ordo logger)
  #:use-module (ordo vars)
  #:use-module (ordo playbook)
  #:declarative? #f
  #:export (main))

(define (main args)
  (match-let (((_ inventory-path playbook-path) args))
    (setup-logging #:level 'DEBUG)
    (init-command-line-vars! '())
    (load inventory-path)
    ;;    (let ((playbook (load playbook-path)))
    ;;      (run-playbook playbook))
    (quit)))
